Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
union_sockaddr Union Reference

`#include <rubysocket.h>`

## Data Fields
struct sockaddr | addr
struct sockaddr_in | in
struct sockaddr_storage | storage
char | place_holder [2048]

## Detailed Description

Definition at line 192 of file rubysocket.h.

## Field Documentation

## ◆ addr

struct sockaddr union_sockaddr::addr

Definition at line 193 of file rubysocket.h.

Referenced by rsock_getfamily(), and rsock_inspect_sockaddr().

## ◆ in

struct sockaddr_in union_sockaddr::in

Definition at line 194 of file rubysocket.h.

## ◆ place_holder

char union_sockaddr::place_holder[2048]

Definition at line 205 of file rubysocket.h.

## ◆ storage

struct sockaddr_storage union_sockaddr::storage

Definition at line 204 of file rubysocket.h.

The documentation for this union was generated from the following file:

- ext/socket/rubysocket.h